SDL_HasClipboardData(3)

NAME
SDL_HasClipboardData - Query whether there is data in the clipboard for the provided mime type.

SYNOPSIS
#include <SDL3/SDL_clipboard.h>

bool SDL_HasClipboardData(const char *mime_type);

FUNCTION PARAMETERS

mime_type
    the mime type to check for data.

RETURN VALUE
Returns true if data exists in the clipboard for the provided mime type, false if it does not.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetClipboardData(3), SDL_GetClipboardData(3)